.user-style {
    background-color: var(--reserved-area-main-color);
    padding: 90px 0 170px 12vw;
}

/* varianti - fa anche da override a .form-standard__form */
.user-style--pop-up {
    display: flex;
    flex-direction: column;
    row-gap: var(--go-to-reserved-area-wrapper-gap-y);
    background-color: #FFFFFF;
    height: fit-content !important;
    padding: 70px 84px !important;
}
.user-style--pop-up *:not(.user-style__cta-login) {
    color: var(--reserved-area-secondary-color) !important;
}
/* *** */

.user-style__soprattitolo {
    color: var(--reserved-area-secondary-color);
    font-family: 'Vollkorn', sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.user-style__title {
    color: var(--reserved-area-secondary-color);
    font-family: 'Vollkorn', sans-serif;
    font-size: 57px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
}

.user-style__txt,
.user-style__txt > p {
    color: var(--reserved-area-secondary-color);
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 205.4%;
}

.user-style__wrapper-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 60px;
    width: 35vw;
    max-width: 800px;
    min-width: 500px;
    margin: 60px 0 0 9vw;
}

.user-style__wrapper-ctas {
    display: flex;
    align-items: center;
    gap: 40px;
    height: fit-content;
    cursor: pointer;
}

.user-style__areariservata-content-box {
    display: flex;
    flex-direction: column;
    row-gap: var(--go-to-reserved-area-wrapper-gap-y);
    max-width: 600px;
    padding: 40px 0 40px 6vw;
    border-left: 1px solid var(--reserved-area-secondary-color);
}
.user-style--pop-up .user-style__cta-login,
.user-style__areariservata-content-box .user-style__cta-login {
    /* margin-top: calc(56px - var(--go-to-reserved-area-wrapper-gap-y)); */
}

.user-style__link {
    color: var(--reserved-area-secondary-color);
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration: underline !important;
}
.user-style__link--fw-700 {font-weight: 700;}
.user-style__link--width-full {width: 100%;}
.user-style__link--no-decoration {text-decoration: none !important;}

.page-register .js-form-item-field-privacy-value label{
    color: var(--reserved-area-secondary-color);
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.page-register .js-form-item-field-privacy-value label a{ text-decoration: underline !important; }

.user-style__wrapper-other-link {
    text-align: center;
}

/* simile a input[type="submit"] style */
.user-style__cta-login {
    color: #FFFFFF;
    text-align: center;
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;

    background: var(--cta-bg, #93BAB7);
    padding: 24px 50px;
}

/* PASSWORDS */
.user-style__pass-ico {
    content: "";
    width: 24px;
    height: 24px;
    background-image: url("../imgs/form/psw-visible.svg");
    position: absolute;
    top: 18px;
    right: 16px;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}
.user-style__pass-ico.view {
    background-image: url("../imgs/form/psw-hidden.svg");
}

/* DASHBOARD USER LOGGATO */
.user-style__wrapper-form-details {
    width: 54vw;
    min-width: 700px;
    margin-top: 60px;
}

.user-style__intro--dashboard {
    display: flex;
    flex-direction: column;
    width: fit-content;
    gap: 30px;
}

.user-style__form-details {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin-top: 25px;
}

.user-style__wrapper-input-detail {
    background-color: #FFFFFF;
    width: calc(50% - 15px) !important;
    padding-top: 20px;
    padding-bottom: 12px;
}
.user-style__wrapper-input-detail--lock{
    background-color: transparent;
}

.user-style__img-referente {
    display: block;
    width: 154px;
    height: 154px;
    margin-top: 25px;
    border-radius: 50%;
}

.page-user-profile__wrapper-cta {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

/* DRUPAL OVERRIDE */
.user-form,
.user-pass,
.user-logout-confirm,
.user-register-form,
.user-login-form,
.user-pass-reset {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
    background: #FFFFFF;
    width: 100%;
    padding: 74px 95px;
}
#edit-pass {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
}
.user-logout-confirm {
    gap: 40px;
}
.user-pass .js-form-type-email,
.user-style .js-form-type-email,
.user-style .js-form-type-textfield,
.user-style .js-form-type-password {
    border-bottom: 1px solid var(--reserved-area-secondary-color);
}

.user-style .description {display: none;}

/* OVERRIDE RESET */
.user-style div[role="contentinfo"]{
	display: block;
	margin-top: 30px;
}

@media (max-width:991px) {
    .user-form,
    .user-pass,
    .user-logout-confirm,
    .user-register-form,
    .user-login-form,
    .user-pass-reset {
        gap: 30px;
        padding: 30px;
    }
    #edit-pass {
        gap: 30px;
    }
    .user-style {
        padding: 5vw;
    }
    .user-style--pop-up {
        padding: 40px 54px !important;
    }
    .user-style__title {
        font-size: 38px;
    }
    .user-style__areariservata-content-box {
        border-left: none;
        padding: 0;
    }
    .user-style--pop-up .user-style__cta-login,
    .user-style__areariservata-content-box .user-style__cta-login {
        /* margin-top: calc(40px - var(--go-to-reserved-area-wrapper-gap-y)); */
    }
    .user-style__wrapper-form {
        gap: 30px;
        width: 100%;
        max-width: unset;
        min-width: unset;
        margin: 30px 0 0 0;
    }
    .user-style__wrapper-ctas {
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 30px;
    }
    .user-style__wrapper-ctas--center {
        align-items: center;
    }
    .user-style__wrapper-form-details {
        width: 100%;
        min-width: unset;
        margin-top: 40px;
    }
    .user-style__form-details {
        flex-direction: column;
        gap: 20px;
        margin-top: 15px;
    }
    .user-style__wrapper-input-detail {
        width: 100% !important;
    }
    .user-style__cta-login {
        padding: 12px 50px;
    }
}